library IEEE                    ;
use IEEE.STD_LOGIC_1164.ALL     ; 
use IEEE.STD_LOGIC_ARITH.ALL    ;
use IEEE.STD_LOGIC_UNSIGNED.ALL ;




entity bench_comparator_16bits is
end entity bench_comparator_16bits ;


architecture behave of bench_comparator_16bits is


	component comparator_16bits is
		port(
			i_A : in std_logic_vector(15 downto 0) ;
			i_B : in std_logic_vector(15 downto 0) ;
			q_eq : out std_logic ; 
			q_gr : out std_logic
		) ; 
	end component comparator_16bits ; 
	
	signal l_i_A : std_logic_vector(15 downto 0) ;
	signal l_i_B : std_logic_vector(15 downto 0) ;
	signal l_q_eq : std_logic ; 
	signal l_q_gr : std_logic ;


begin 

	comparator_8bits_inst_0 : comparator_16bits
							  port map(
								i_A => l_i_A,
								i_B => l_i_B,
								q_eq => l_q_eq,
								q_gr => l_q_gr							  
							  );
							  
							  
	process
	begin
		l_i_A <= "0000000000000001" ;
		l_i_B <= "1011110000000000" ;		
		wait for 10 ns ; 
		l_i_A <= "1111111110000001" ;
		l_i_B <= "1000000100000000" ;				
		wait for 10 ns ; 
		l_i_A <= "0000111110000001" ;
		l_i_B <= "1000000010001000" ;				
		wait for 10 ns ; 		
		l_i_A <= "1111111100000010" ;
		l_i_B <= "1111111100000010" ;				
		wait for 10 ns ; 		
	end process ; 
							   





end architecture behave ; 

