library IEEE                    ;
use IEEE.STD_LOGIC_1164.ALL     ; 
use IEEE.STD_LOGIC_ARITH.ALL    ;
use IEEE.STD_LOGIC_UNSIGNED.ALL ;




entity bench_comparator_8bits is
end entity bench_comparator_8bits ;


architecture behave of bench_comparator_8bits is


	component comparator_8bits is
		port(
			i_A : in std_logic_vector(7 downto 0) ;
			i_B : in std_logic_vector(7 downto 0) ;
			q_eq : out std_logic ; 
			q_gr : out std_logic
		) ; 
	end component comparator_8bits ; 
	
	signal l_i_A : std_logic_vector(7 downto 0) ;
	signal l_i_B : std_logic_vector(7 downto 0) ;
	signal l_q_eq : std_logic ; 
	signal l_q_gr : std_logic ;


begin 

	comparator_8bits_inst_0 : comparator_8bits
							  port map(
								i_A => l_i_A,
								i_B => l_i_B,
								q_eq => l_q_eq,
								q_gr => l_q_gr							  
							  );
							  
							  
	process
	begin
		l_i_A <= "00000001" ;
		l_i_B <= "00000000" ;		
		wait for 10 ns ; 
		l_i_A <= "10000001" ;
		l_i_B <= "10000000" ;				
		wait for 10 ns ; 
		l_i_A <= "10000001" ;
		l_i_B <= "11000000" ;				
		wait for 10 ns ; 		
		l_i_A <= "10000001" ;
		l_i_B <= "10000001" ;				
		wait for 10 ns ; 		
	end process ; 
							   





end architecture behave ; 

