library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;


entity is_zero is
	port(
		i_A : in std_logic_vector(15 downto 0) ;
		q_zero : out std_logic 
	) ;
end entity is_zero ; 


architecture behave of is_zero is

	signal drive : std_logic_vector(15 downto 0) ;  

begin
	drive(0) <= not(i_A(0)) ; 
	drive_gen : for I in 1 to 15 generate
		drive(I) <= drive(I-1) and not(i_A(1)) ;	
	end generate drive_gen ; 
	q_zero <= drive(15) ; 
end architecture behave ; 
